System.Core 4.0.0.0 System.Object To be added.

Provides a set of static (Shared in Visual Basic) methods for working with specific kinds of instances.

- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  It is often useful to be able to return a Task from a , where the inner Task represents work done as part of the outer . However, doing so results in a Task<Task> (C#) or Task (Of Task) (Visual Basic), which, if not dealt with carefully, could produce unexpected behavior. Unwrap solves this problem by creating a proxy Task that represents the entire asynchronous operation of such a task.

  Creates a proxy that represents the asynchronous operation of a .

  A Task that represents the asynchronous operation of the provided System.Threading.Tasks.Task(Of Task).

  The Task<Task> (C#) or Task (Of Task) (Visual Basic) to unwrap.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TResult> ``

  It is often useful to be able to return a from a , where the inner represents work done as part of the outer . However, doing so results in a Task<Task<T>> (C#) or Task (Of Task(Of T)) (Visual Basic), which, if not dealt with carefully, could produce unexpected behavior. Unwrap solves this problem by creating a proxy that represents the entire asynchronous operation of such a Task<Task<T>> (C#) or Task (Of Task(Of T)) (Visual Basic).

  Creates a proxy that represents the asynchronous operation of a Task<Task<T>> (C#) or Task (Of Task(Of T)) (Visual Basic).

  A that represents the asynchronous operation of the provided Task<Task<T>> (C#) or Task (Of Task(Of T)) (Visual Basic).

  The Task<Task<T>> (C#) or Task (Of Task(Of T)) (Visual Basic) to unwrap. The type of the task's result.